Skip to main content
GET
ValidatorSlashes

Path Parameters

validatorAddress
string
required

validator_address defines the validator address to query for.

Query Parameters

startingHeight
string<uint64>

starting_height defines the optional starting height to query the slashes.

endingHeight
string<uint64>

starting_height defines the optional ending height to query the slashes.

pagination.key
string<byte>

key is a value returned in PageResponse.next_key to begin querying the next page most efficiently. Only one of offset or key should be set.

pagination.offset
string<uint64>

offset is a numeric offset that can be used when key is unavailable. It is less efficient than using key. Only one of offset or key should be set.

pagination.limit
string<uint64>

limit is the total number of results to be returned in the result page. If left empty it will default to a value to be set by each app.

pagination.countTotal
boolean

count_total is set to true to indicate that the result set should include a count of the total number of items available for pagination in UIs. count_total is only respected when offset is used. It is ignored when key is set.

pagination.reverse
boolean

reverse is set to true if results are to be returned in the descending order.

Response

A successful response.

QueryValidatorSlashesResponse is the response type for the Query/ValidatorSlashes RPC method.

slashes
object[] | null

slashes defines the slashes the validator received.

pagination
object | null

pagination defines the pagination in the response.